Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerInformationList Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::ServerInformationList:

[legend]
Collaboration diagram for ImplementationRepository::ServerInformationList:

[legend]
List of all members.

## Public Types
typedef ServerInformationList_var | _var_type
## Public Methods
| ServerInformationList (void)
| ServerInformationList (CORBA::ULong max)
| ServerInformationList (CORBA::ULong max, CORBA::ULong length, ServerInformation *buffer, CORBA::Boolean release=0)
| ServerInformationList (const ServerInformationList &)
| ~ServerInformationList (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef ServerInformationList_var ImplementationRepository::ServerInformationList::_var_type

## Constructor & Destructor Documentation

ImplementationRepository::ServerInformationList::ServerInformationList | ( | void |  | ) |

ImplementationRepository::ServerInformationList::ServerInformationList | ( | CORBA::ULong | max | ) |

ImplementationRepository::ServerInformationList::ServerInformationList | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | ServerInformation * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

ImplementationRepository::ServerInformationList::ServerInformationList | ( | const ServerInformationList & |  | ) |

ImplementationRepository::ServerInformationList::~ServerInformationList | ( | void |  | ) |

## Member Function Documentation

void ImplementationRepository::ServerInformationList::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp